<?php

if (!defined('WHMCS')) {
    die('This is WHMCS page!');
}
ob_clean();

try {
    $ticketid = $_POST['ticketid'];
    if (!is_numeric($ticketid)) {
        throw new Exception('No ticket id');
    }

    $ticket = mysql_extract_assoc(mysql_query_safe('SELECT * FROM tbltickets WHERE id = ?', [$ticketid]));
    if (empty($ticket)) {
        throw new Exception('No ticket');
    }

    $replies = [
        'Ticket rerouted from reseller\'s whmcs #' . $ticket['id'],
        '===== Client, ' . $ticket['date'] . " =====\n" . $ticket['message'],
    ];
    $qreplies = mysql_query_safe('SELECT * FROM tblticketreplies WHERE tid = ?', [$ticketid]);
    while ($row = mysql_extract_assoc($qreplies)) {
        $who = $row['userid'] ? 'Client' : 'Admin';
        $replies[] = '===== ' . $who . ', ' . $row['date'] . " =====\n" . $row['message'];
    }
    if (!empty($ticket['service'])) {
        $s = str_replace('S', '', $ticket['service']);
        $m = mysql_extract_assoc(mysql_query_safe("SELECT p.servertype FROM tblproducts p JOIN tblhosting h ON (h.packageid = p.id) WHERE h.id = ?",
            [$s]));
    }


    $module = HostwindsReseller_getmodule($m['servertype']);
    $response = $module->rerouteTicket($ticket['title'], implode("\n\n", $replies));
    if (!$response->isSuccess()) {
        throw new Exception('Unable to send support ticket - ' . $response->getMessage());
    }

    echo json_encode([
        'result' => 'success',
    ]);

} catch (Exception $e) {
    echo json_encode([
        'result' => 'error',
        'msg' => $e->getMessage(),
    ]);
}

die();
