<style>
    .icon-question-sign {
        font-size: 17px;
        color: #89ccff;
    }
</style>
<?php

if (count($modules) == 0) {
    addError('Nothing to display.');
} else {
    ?>

    <form action="" method="post">
        <table class="table">
            <tr>
                <th colspan="2">API Details</th>
            </tr>
            <tr>
                <td>Hostname</td>
                <td><input type="text" name="api[hostname]" style="width:518px;"
                           value="<?php echo empty($api['hostname']) ? '' : $api['hostname']; ?>" readonly="readonly"/>
                </td>
            </tr>
            <tr>
                <td>E-mail</td>
                <td><input type="text" name="api[email]" style="width:318px;" value="<?php echo $api['email']; ?>"/>
            </tr>
            <tr>
                <td>API Key <i class="icon-question-sign"
                               title="<span ><?php echo MG_Lang::translate('api_key_field_tooltip_info'); ?> <a style='color: #66ccff;' target='_blank' href='<?php echo MG_Lang::translate('api_key_field_tooltip_link'); ?>'><?php echo MG_Lang::translate('api_key_field_tooltip_link'); ?></a></span>"></i>
                </td>
                <td><input type="password" name="api[password]" style="width:318px;"
                           value="<?php echo $api['password']; ?>"/></td>
            </tr>
        </table>
        <input type="submit" class="btn btn-success" value="Save"/>
        <button type="submit" class="btn btn-default" id="test_connection">Test Connection</button>
    </form>

    <table class="table">
        <thead>
        <tr>
            <th>Module</th>
            <th>Action</th>
        </tr>
        </thead>
        <tbody>
        <?php
        foreach ($modules as $module) {
            if (strpos($module, '_cpanel') !== false) {
                $moduleName = 'Shared Hosting Services';
            }
            if (strpos($module, '_default') !== false) {
                $moduleName = 'Hostwinds Other Services';
            }
            echo "<tr>
                        <td>" . $moduleName . "</td>
                        <td><a class='btn btn-success' href='addonmodules.php?module=HostwindsReseller&modpage=main&mod=" . $module . "'>Create Products</a></td>
                     </tr>";
        }
        ?>
        </tbody>
    </table>
    <script type="text/javascript">
        $(document).ready(function () {
            $('.icon-question-sign').tooltip({
                delay: {show: 100, hide: 3500}
            });

            $('#test_connection').on('click', function (e) {
                e.preventDefault();
                //get api credintials from form
                var hostname = $('input[name="api[hostname]"]').val();
                var email = $('input[name="api[email]"]').val();
                var password = $('input[name="api[password]"]').val();

                $('.message').remove();
                $('#test_connection').find('img').remove();
                $('#test_connection').append(' <img src="../modules/addons/HostwindsReseller/core/assets/img/ajax-loader.gif" />');
                var $container = $('#mg-content').find('form');
                $.post('addonmodules.php?module=HostwindsReseller&modpage=testconnection&ajax=1',
                    {
                        hostname: hostname,
                        email: email,
                        password: password
                    },
                    function (res) {
                        if (res.result == 'success') {
                            $container.find('table').before('<div class="alert alert-success message"><button type="button" class="close" data-dismiss="alert">×</button>' + res.messages + '</div>');
                        } else {
                            $container.find('table').before('<div class="alert alert-danger message"><button type="button" class="close" data-dismiss="alert">×</button>' + res.msg + '</div>');
                        }
                        $('#test_connection').find('img').remove();
                    },
                    'json'
                );

                return false;
            });
        });
    </script>
<?php }
