<?php

require_once ADDON_DIR . DS . 'core' . DS . 'class.MG_Modules.php';
require_once ADDON_DIR . DS . 'core' . DS . 'functions.php';

class Products
{
    private $products = [];
    private $targetProducts = [];

    public function __construct($id = null)
    {
        $this->loadProducts($id);

        $this->loadTargetProducts();
    }

    public function getProducts()
    {
        return $this->products;
    }

    public function setProducts($param)
    {
        $this->products = $param;
    }

    public function getTargetProducts()
    {
        return $this->targetProducts;
    }

    public function setTargetProducts($param)
    {
        $this->targetProducts = $param;
    }


    private function loadProducts($id = null)
    {
        //get all products with
        $products = [];

        $modules = MG_Modules::getSupportedModules();

        $query = mysql_safequery("SHOW TABLES");
        $tables = [];
        while ($row = mysql_extract_array($query)) {
            $tables[] = $row[0];
        }

        foreach ($modules as $key => $module) {
            //check if table exist in database
            if (in_array($module . "_conf", $tables)) {
                $modules[$key] = "'$module'";
                $leftJoins[] = "LEFT JOIN $module" . "_conf as $module ON $module.product_id=p.id";
            } else {
                unset($modules[$key]);
            }
        }
        if ($leftJoins == null) {
            $this->setProducts([]);
            return;
        }
        $query = mysql_safequery("
                    SELECT p.id, p.servertype
                    FROM tblproducts p 
                    " . implode(' ', $leftJoins) . "
                    WHERE p.servertype IN (" . implode(',', $modules) . ")    
                    GROUP BY p.id
                ");


        while ($row = mysql_extract_assoc($query)) {
            if ($id != null) {
                if ($row['id'] == $id) {
                    $products[$row['servertype']][] = $row['id'];
                }
            } else {
                $products[$row['servertype']][] = $row['id'];
            }
        }

        $this->setProducts($products);
    }

    private function loadTargetProducts()
    {
        if (empty($this->products)) {
            return;
        }

        $targetProducts = [];
        foreach ($this->products as $module => $product) {
            $query[] = "SELECT $module.value as taget_product_id, $module.product_id FROM $module" . "_conf as $module WHERE $module.setting='target_product' AND $module.product_id IN ('" . implode("','",
                    $product) . "')";
        }

        $result = mysql_safequery(implode(' UNION ', $query));

        while ($row = mysql_extract_assoc($result)) {
            $targetProducts[] = $row;
        }
        $this->setTargetProducts($targetProducts);
    }

    public function getProductsIds()
    {
        $ids = [];
        foreach ($this->products as $module => $moduleProducts) {
            if (!isset($ids[$module])) {
                $ids[$module] = [];
            }
            $ids[$module] = [];
            foreach ($moduleProducts as $productID) {
                $ids[$module][] = $productID;
            }
        }

        return $ids;
    }
}
