<style>
    #createNewGroupModal {
        position: fixed;
        top: 50%;
        left: 50%;
        z-index: 1050;
        margin: -250px 0 0 -280px;
        overflow: auto;
    }

    #createNewGroupModalLabel {
        width: 80%;
    }

    .icon-question-sign {
        font-size: 17px;
        color: #89ccff;
    }

    .loading-icon {
        position: relative;
        width: auto !important;
        padding: 2px !important;
        height: 20px;
        -webkit-animation: fa-spin 2s infinite linear;
        animation: fa-spin 2s infinite linear;
    }

    .loading-icon:before {
        content: "\f110";
        width: auto !important;
        color: black;
        font-family: FontAwesome;
        font-size: 16px;
    }
</style>
<div id="products_container">
    <?php
    foreach ($products as $group => $prods) {
        ?>
        <table class="table">
            <thead>
            <tr>
                <th style="width:50px;"><input class="checkAll" type="checkbox" title="Select All"></th>
                <th><?php echo $group; ?></th>
                <th style="width:800px;">Description</th>
                <th style="width:170px; min-width: 160px">Price Markup <i class="icon-question-sign"
                                                                          title="<?php echo MG_Lang::translate('price_markup_tooltip'); ?>"></i>
                </th>
                <th style="width:170px; min-width: 160px">Hostwinds Price</th>
                <th style="width:170px; min-width: 160px">Your Profit</th>
                <th style="width:170px; min-width: 160px">Config Option Markup <i class="icon-question-sign"
                                                                                  title="<?php echo MG_Lang::translate('config_option_markup_tooltip'); ?>"></i>
                </th>
            </tr>
            </thead>
            <tbody>
            <?php
            foreach ($prods as $prod) {
                ?>
                <tr>
                    <td><input type="checkbox" name="prods_<?php echo $prod['id']; ?>" class="create_product_id"/></td>
                    <td><?php echo $prod['name']; ?></td>
                    <td><?php echo $prod['description']; ?></td>
                    <td><input type="text" name="price_<?php echo $prod['id']; ?>" value="100"
                               style="width: 85%;"/> %
                        <p>100% = Hostwinds Price
                        <p>
                    </td>
                    <td>
                        <?php
                        if ($prod['price']['paytype'] == 'onetime') {
                            if ($prod['price']['monthly'] != '-1.00') {
                                echo '<div class="hwPrice" align="center" data-count="0">
                                            <strong>One Time</strong>
                                          </div>';
                                if ($prod['price']['msetupfee'] > 0) {
                                    echo '<div class="row">
                                                    <div class="col-md-6 col-sm-6 col-xs-6" align="right">
                                                      Setup Fee:
                                                    </div>
                                                    <div class="setupfee_0 col-md-6 col-sm-6 col-xs-6 " align="center">
                                                      ' . $prod['price']['msetupfee'] . '
                                                    </div>
                                                  </div>';
                                }
                                echo '<div class="row">
                                                <div class="col-md-6 col-sm-6 col-xs-6" align="right">
                                                  Price:
                                                </div>
                                                <div class="price_0 col-md-6 col-sm-6 col-xs-6" align="center">
                                                  ' . $prod['price']['monthly'] . '
                                                </div>
                                              </div>';
                            }

                        } elseif ($prod['price']['paytype'] == 'recurring') {
                            $cycles = [
                                'monthly' => 'msetupfee',
                                'quarterly' => 'qsetupfee',
                                'semiannually' => 'ssetupfee',
                                'annually' => 'asetupfee',
                                'biennially' => 'bsetupfee',
                                'triennially' => 'tsetupfee',
                            ];

                            $i = 0;
                            foreach ($cycles as $priceKey => $setupFeeKey) {
                                if ($prod['price'][$priceKey] != '-1.00') {
                                    echo '<div class="hwPrice" align="center" data-count="' . $i . '">
                                                <strong>' . ucfirst($priceKey) . '</strong>
                                              </div>';
                                    if ($prod['price'][$setupFeeKey] > 0) {
                                        echo '<div class="row">
                                                    <div class="col-md-6 col-sm-6 col-xs-6" align="right">
                                                      Setup Fee:
                                                    </div>
                                                    <div class="setupfee_' . $i . ' col-md-6 col-sm-6 col-xs-6 " align="center">
                                                      ' . $prod['price'][$setupFeeKey] . '
                                                    </div>
                                                  </div>';
                                    }
                                    echo '<div class="row">
                                                <div class="col-md-6 col-sm-6 col-xs-6" align="right">
                                                  Price:
                                                </div>
                                                <div class="price_' . $i . ' col-md-6 col-sm-6 col-xs-6" align="center">
                                                  ' . $prod['price'][$priceKey] . '
                                                </div>
                                              </div>';
                                }

                                $i++;
                            }
                        } else {
                            echo '<div class="hwPrice" align="center" data-count="0">
                                            <strong>Free</strong>
                                          </div>';
                        }

                        ?>
                    </td>
                    <td>
                        <?php
                        if ($prod['price']['paytype'] == 'onetime') {
                            if ($prod['price']['monthly'] != '-1.00') {
                                echo '<div class="profit" align="center">
                                            <strong>One Time</strong>
                                          </div>';
                                if ($prod['price']['msetupfee'] > 0) {
                                    echo '<div class="row">
                                                    <div class="col-md-6 col-sm-6 col-xs-6" align="right">
                                                      Setup Fee:
                                                    </div>
                                                    <div class="setupfee_0 col-md-6 col-sm-6 col-xs-6" align="center">                                             
                                                    </div>
                                                  </div>';
                                }
                                echo '<div class="row">
                                                <div class="col-md-6 col-sm-6 col-xs-6" align="right">
                                                  Price:
                                                </div>
                                                <div class="price_0 col-md-6 col-sm-6 col-xs-6" align="center">                                               
                                                </div>
                                              </div>';
                            }
                        } elseif ($prod['price']['paytype'] == 'recurring') {
                            $cycles = [
                                'monthly' => 'msetupfee',
                                'quarterly' => 'qsetupfee',
                                'semiannually' => 'ssetupfee',
                                'annually' => 'asetupfee',
                                'biennially' => 'bsetupfee',
                                'triennially' => 'tsetupfee',
                            ];

                            $i = 0;
                            foreach ($cycles as $priceKey => $setupFeeKey) {
                                if ($prod['price'][$priceKey] != '-1.00') {
                                    echo '<div class="profit" align="center">
                                                <strong>' . ucfirst($priceKey) . '</strong>
                                              </div>';

                                    if ($prod['price'][$setupFeeKey] > 0) {
                                        echo '<div class="row">
                                                    <div class="col-md-6 col-sm-6 col-xs-6" align="right">
                                                      Setup Fee:
                                                    </div>
                                                    <div class="setupfee_' . $i . ' col-md-6 col-sm-6 col-xs-6 " align="center">
                                                    </div>
                                                  </div>';
                                    }

                                    echo '<div class="row">
                                                <div class="col-md-6 col-sm-6 col-xs-6" align="right">
                                                  Price:
                                                </div>
                                                <div class="price_' . $i . ' col-md-6 col-sm-6 col-xs-6" align="center">
                                                </div>
                                              </div>';
                                }

                                $i++;
                            }
                        }
                        ?>
                    </td>
                    <td><input type="text" name="config_option_<?php echo $prod['id']; ?>" value="100"
                               style="width: 85%;"/> %
                    </td>
                </tr>
            <?php } ?>
            </tbody>
        </table>
    <?php } ?>
    <!--<form id="createNewGropForm" action="#" method="POST">
        <div class="form-group">
            Create Products Group:
            <input class="form-control" name="group_name" id="group_name" type="text" required="" pattern=".*\S.*" />
        </div>
        <button type="submit" class="btn btn-success"id="create_group">Create Group</button>
    </form>-->
    <div>
        Group to Create Selected Products in
        <select name="group_id" id="group_id" style="margin-top: 9px !important;">
            <?php
            foreach ($groups as $group) {
                ?>
                <option value="<?php echo $group['id']; ?>"><?php echo $group['name']; ?></option>
            <?php } ?>
        </select>
        <button type="button" id="createNewGroupButton" class="btn btn-success" data-toggle="modal" data-placement="top"
                title="Create New Group">
            <i style="font-size: 20px;" class="glyphicon glyphicon-plus" aria-hidden="true"></i>
        </button>
    </div>

    <a href="" class="btn btn-success" id="create_products">Create Products</a>
</div>
<!-- Create New Group Modal -->
<div class="modal fade" id="createNewGroupModal" tabindex="-1" role="dialog" aria-labelledby="createNewGroupModal"
     aria-hidden="true">
    <div class="modal-dialog" role="document">
        <form class="form-inline" id="createNewGropForm" action="" method="POST">
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                    <h4 class="modal-title" id="createNewGroupModalLabel">Create New Group</h4>
                </div>
                <div class="modal-body">
                    <div class="row">
                        <div class="col-lg-1 col-md-1 col-sm-1"></div>
                        <div class="col-lg-9 col-md-9 col-sm-9" align="right">
                            <label class="control-label" for="group_name">Group Name</label>
                            <div class="form-group" style="margin-bottom: 10px;">
                                <input class="form-control" name="group_name" id="group_name" type="text" required=""
                                       pattern=".*\S.*"/>
                            </div>
                            <div class="form-group">
                                <label class="control-label" for="group_description">Group Description</label>
                                <textarea class="form-control" name="group_description" id="group_description" rows="5"
                                          style="resize: vertical;"></textarea>
                            </div>
                        </div>
                        <div class="col-lg-2 col-md-2 col-sm-2"></div>
                    </div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
                    <button type="submit" class="btn btn-success" id="create_group">Create Group</button>
                </div>
            </div>
        </form>
    </div>
    <div id="clear" style="clear:both;"></div>
</div>

<script type="text/javascript">

    function runEffect(element) {
        setTimeout(function () {
            var selectedEffect = 'blind';
            var options = {};
            element.hide(selectedEffect, options, 500)
        }, 5000);
    }

    function genereateProfit(element) {
        var hwPricingCol = $(element).find('td:eq(4)').find('.hwPrice');
        var priceMarkUp = $(element).find('td:eq(3)').find('input').val();
        hwPricingCol.each(function () {
            if ($(this).length > 0) {
                var item = $(this).data('count');
                var hw_setup_fee = parseFloat($.trim($(this).parent().find('div[class^="setupfee_' + item + '"]').text()));
                var hw_price = parseFloat($.trim($(this).parent().find('div[class^="price_' + item + '"]').text()));

                var setup_fee = hw_setup_fee * priceMarkUp / 100 - hw_setup_fee;
                var price = hw_price * priceMarkUp / 100 - hw_price;

                $(this).closest('tr').find('.profit').parent().find('div[class^="setupfee_' + item + '"]').text(setup_fee.toFixed(2));
                $(this).closest('tr').find('.profit').parent().find('div[class^="price_' + item + '"]').text(price.toFixed(2));
            }
        });
    }

    $(document).ready(function () {

        //generate prices on load page
        var productTablesRows = $('#products_container').find('.table').find('tr');
        productTablesRows.each(function () {
            genereateProfit(this)
        });
        //generate prices on mark up profit
        $('input[name^=price_]').bind('change paste keyup', function () {
            genereateProfit($(this).closest('tr'));
        });

        //modal support
        $('#createNewGroupButton').on('click', function () {
            $('#createNewGroupModal').modal('toggle');
        });
        //tooltips
        $('#createNewGroupButton, .checkAll, .icon-question-sign').tooltip();
        //check all support
        $('.checkAll').on('click', function () {
            if (this.checked) {
                $(this).closest('table').find('.create_product_id').prop('checked', true);
            } else {
                $(this).closest('table').find('.create_product_id').prop('checked', false);
            }
        });
        $('.create_product_id').on('click', function () {
            var checkAll = true;
            var productCheckboxes = $(this).closest('table').find('.create_product_id');
            productCheckboxes.each(function () {
                if (!this.checked) {
                    checkAll = false;
                }
            });
            $(this).closest('table').find('.checkAll').prop('checked', checkAll);
        });

        if ($('.alert-error').size() > 0) {
            $('#products_container').html('');
        }


        $('#createNewGropForm').submit(function (e) {
            e.preventDefault();
            $('#create_group').find('img').remove();
            $('#create_group').append(' <img src="../modules/addons/HostwindsReseller/core/assets/img/ajax-loader.gif" />');
            var $container = $('#products_container');
            var newGroupName = $(this).find('#group_name').val();
            var newGroupDescription = $(this).find('#group_description').val();
            $.post('addonmodules.php?module=HostwindsReseller&modpage=creategroup&ajax=1', {
                'newGroup': newGroupName,
                'newGroupDescription': newGroupDescription
            }, function (res) {
                if (res.result == 'success') {
                    $container.find('table').before('<div class="alert alert-success message">' + res.messages + '</div>');

                    var htmlOptions = null;
                    for (var a = 0; a < res.newGroupsList.length; a++)
                        htmlOptions = htmlOptions + '<option value="' + res.newGroupsList[a].id + '">' + res.newGroupsList[a].name + '</option>';
                    $('#group_id').empty().html(htmlOptions);
                } else {
                    $container.find('table').before('<div class="alert alert-danger message">' + res.msg + '</div>');
                }

                $('#create_group').find('img').remove();

                $('#createNewGropForm').find('#group_name').val('');
                runEffect($('.message'));
            }, 'json').done(function () {
                $('#createNewGroupModal').modal('toggle');
            });

            return false;
        });

        $('#create_products').click(function () {
            var emptyProducts = true;
            var products = {};
            var config_options = {};
            $('.create_product_id:checked').each(function () {
                emptyProducts = false;
                var id = $(this).attr('name').substr(6);
                products[id] = $('input[name=price_' + id + ']').val();
                config_options[id] = $('input[name=config_option_' + id + ']').val();
            });

            if (emptyProducts) {
                alert('Please select products');
                return false;
            }

            var group_id = $('#group_id').val();
            if (!$('#group_id').val()) {
                alert("Please select products group");
                return false;
            }


            var $container = $('#products_container');
            $(this).html('<span class="fa loading-icon"></span> Please wait...');

            $.post('addonmodules.php?module=HostwindsReseller&modpage=createproducts', {
                'products': products,
                'config_options': config_options,
                'group_id': group_id,
                'mod': <?php echo mysql_escape_quote_string($_GET['mod']); ?>
            }, function (res) {
                $container.find('.alert').remove();
                if (res.result == 'success') {
                    for (var a = 0; a < res.messages.length; a++) {
                        $container.prepend('<div class="alert alert-success"><button type="button" class="close" data-dismiss="alert">×</button>' + res.messages[a] + '</div>');
                        $('.create_product_id').removeAttr('checked');
                        $('.checkAll').removeAttr('checked');
                    }
                } else {
                    $container.before('<div class="alert alert-danger"><button type="button" class="close" data-dismiss="alert">×</button>' + res.msg + '</div>');
                }

            }, 'json').done(function () {
                $('#create_products').html('Create Products');
            });

            return false;
        });
    });
</script>
