<?php

if (!defined('DS')) {
    define('DS', DIRECTORY_SEPARATOR);
}

if (isset($_GET['HostwindsReseller_defaultAjax'])) {
    $modulepath = dirname(__FILE__) . DS;
    require_once $modulepath . 'functions.php';
    require_once $modulepath . 'modules' . DS . 'class.module.php';
    require_once $modulepath . 'class.ApiResponse.php';
    require_once $modulepath . 'class.HostwindsReseller_default_Hosting.php';
    require_once $modulepath . 'class.HostwindsReseller_default_Product.php';
    require_once $modulepath . 'class.HostwindsReseller_default_ResellerProduct.php';
    require_once $modulepath . 'class.HostwindsReseller_default_Ajax.php';

    if (isset($_GET['hosting_id']) && is_numeric($_GET['hosting_id'])) {
        try {
            $hosting = new HostwindsReseller_default_Hosting($_GET['hosting_id']);
            $module = HostwindsReseller_default_module::getModule($hosting->hosting_details['packageid']);
            $AJAX = $module->getAjax();

        } catch (Exception $e) {
            $AJAX = new HostwindsReseller_default_Ajax();
        }
    } else {
        $AJAX = new HostwindsReseller_default_Ajax();
    }

    try {
        $AJAX->processRequest($_REQUEST);
    } catch (Exception $e) {
        $AJAX->sendResponse(false, 'Error during request: ' . $e->getMessage());
    }
}

function HostwindsReseller_default_ProductEdit($params)
{

    $pr_servertype = 'HostwindsReseller_default';
    if ($params['servertype'] == $pr_servertype && $_REQUEST['customconfigoption']) {
        require_once dirname(__FILE__) . DS . 'functions.php';
        require_once dirname(__FILE__) . DS . 'class.HostwindsReseller_default_Product.php';
        require_once dirname(__FILE__) . DS . 'class.HostwindsReseller_default_ResellerProduct.php';
        //Create VPS Product
        $conf = new HostwindsReseller_default_ResellerProduct($params['pid']);
        $conf->saveConfigOptions($_REQUEST['customconfigoption']);
    }
}

add_hook("ProductEdit", 1, "HostwindsReseller_default_ProductEdit");
